Subject: Re: Regarding dynamic ip addressed for HTTP Servers.

From: "Mike Dierken" <[email-masked]>
Date: Sat, 30 Jun 2007 20:00:26 -0600

You can do this via dynamic DNS bindings and is not a feature needed in HTTP.
Check out dyndns.org for more details on how to have a short lifetime
on the mapping between a host name and an IP address.

On 6/29/07, SiM <[email-masked]> wrote:
> Hello All,
>                 My first post to the list, i'am familiar with HTTP from a
> user's point of view. I need some help in understanding the concept of how
> things like "Running HTTP server on Dynamic IP address
> machines is generally implemented "
>
> I have a situation where we have a machine having a dynamic IP, hosting some
> HTML documents, and will be online for sometime in a day, and wants to
> associate
> itself with a HTTP URL, so that any request targetted at that URL, is
> redirected to this machine running on the Dynamic IP address.
>
> I'am talking about a subdomain like simith.bloggerspoint.com, which is a
> subdomain on bloggerspoint.com , and i wish to store all the content on my
> dynamic ip address machine,
> so that all requests targetted at simith.bloggerspoint.com are redirected by
> bloggerspoint.com to my dynamic IP address or  just tunnelled to my dynamic
> ip address.
>
> For a feature of this kind to work, there should be some kind of a Binding
> request and an unbinding request, associating the subdomain with the dynamic
> IP address which i have,
> on each reboot of my PC.
>
> So when my HTTP server is up, i do a binding request to the
> bloggerspoint.com and then when the Server is going down, it does an
> unbinding request to remove the
> association.
>
> Is there any way i can implement such things in a standard way ? I'am not
> sure whether this is in the scope of HTTP, please redirect me to the
> appropriate mailing list, if this
> is not the right place :-).
>
> Please point me to any standard techniques generally adopted by implementors
> who want to have such functionality ?
>
> Thank you in advance,
>
> Cheers,
> Simith
>
>

---

From: SiM <[email-masked]>
Date: Mon, 2 Jul 2007 10:08:25 +0530

Thank you for your responses, now i know what i was missing :-) !

Cheers,
Simith